curl --request POST \
--url https://api.sandbox.lead.bank/v1/account_number/{account_number_id}/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {}
}'import requests
url = "https://api.sandbox.lead.bank/v1/account_number/{account_number_id}/activate"
payload = { "metadata": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};
fetch('https://api.sandbox.lead.bank/v1/account_number/{account_number_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "account_number_xyz",
"account_number": 123412341234,
"routing_number": 123456789,
"account_id": "account_xyz123",
"client_customer_id": "<your_customer_id>",
"entity_id": "entity_xyz123",
"status": "active",
"ach_controls": {
"originator_id": "originator_xyz123",
"incoming": {
"accept_credit": true,
"accept_debit": true,
"counterparty_filter": "accept_all",
"counterparty_company_ids_allowlist": [
1234567890
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
}
},
"wire_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing_international": {
"counterparty_filter": "accept_all",
"counterparty_international_account_numbers_allowlist": [
{
"business_identifier_code": "CHASUS33",
"account_identifier": {
"value": "GB29NWBK60161331926819"
}
}
]
}
},
"internal_transfer_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_number_ids_allowlist": [
"account_number_xyz123"
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_number_ids_allowlist": [
"account_number_xyz123"
]
}
},
"instant_payment_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"account_number": 123412341234,
"routing_number": 123412341234
}
]
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}Activate an Account Number
Activate an Account Number.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the Account Number to be activated.
^account_number_\w+$Body
Updated metadata for the Account Number.
Show child attributes
Show child attributes
Response
Successful response
The ID of the retrieved Account Number.
^account_number_\w+$"account_number_xyz"
The account number.
123412341234
The routing number.
123456789
The ID of the Account object.
^account_\w+$"account_xyz123"
The ID of your customer.
64"<your_customer_id>"
The ID of your entity.
^entity_[^\s]{1,33}$"entity_xyz123"
Account Number Status
active, inactive, canceled, unassigned "active"
ACH payment controls
Show child attributes
Show child attributes
Wire payment controls
Show child attributes
Show child attributes
Internal Transfer controls
Show child attributes
Show child attributes
Instant Payment controls
Show child attributes
Show child attributes
A set of key-value pairs that can be used to store additional information related to this object.
Show child attributes
Show child attributes
The timestamp of creation in ISO-8601 format.
The timestamp of last update in ISO-8601 format.
Was this page helpful?

